<template>
  <section class="mt-4 fencer-detals components">
    <!-- <div class="row p-0"> -->
    <div class="col-md-6 pb-2 p-0">
      <h3 class="fencerNameSurname">{{fencer.surname}} {{fencer.name}}</h3>
    </div>
    <!-- </div> -->

    <div class="row mb-4">
      <div class="row m-0">
        <div class="col-sm-12 col-md-5">
          <v-img :src="fencer.photo" :alt="fencer.name" class="imgFencer"/>
        </div>
        <div class="col-12 col-md-6 m-0">
          <figcaption>
            <ul class="pt-3">
              <li>
                <b>Age</b>
                {{fencer.age}} ans
              </li>
              <li>
                <b>Genre</b>
                {{fencer.gender}}
              </li>
              <li>
                <b>Main</b>
                {{fencer.handness}}
              </li>
              <li v-for="weapon in fencer.weapon_types" :key="weapon.id">
                <b>Arme</b>
                {{weapon.name}}
              </li>
              <li>
                Débute l'escrime à {{fencer.start}} ans
                <span
                  v-if="fencer.start && !fencer.end"
                >, sa carrière est en cours.</span>
                <span v-if="fencer.end">puis met fin à sa carrière à {{fencer.end}} ans.</span>
              </li>
            </ul>
          </figcaption>
          <div class="imgFlagFencer col-sm-12 p-0">
            <!-- <v-avatar v-for="team in fencer" :key="team.id"> -->
            <span v-for="team in fencer" :key="team.id">
              <div class="col-12 col-md-6">
                <v-img :src="team.flag" width="30"/>
              </div>
              <figcaption class="ml-2 col-12 col-md-6 p-0">{{team.name}}</figcaption>
            </span>
            <!-- </v-avatar> -->
          </div>
        </div>
      </div>
    </div>

    <div class="mt-5">
      <h3 class="pb-2">Résultats & compétitions</h3>

      <v-data-table
        class="elevation-1"
        :headers="headers"
        :items="fencer.events"
        :items-per-page="5"
      >
        <template v-slot:items="props">
          <td>{{ props.item.name }}</td>
          <td class="text-xs-left">{{ props.item.location }}</td>
          <td class="text-xs-left">{{ props.item.start | formatDate }}</td>
          <td class="text-xs-left">{{ props.item.end | formatDate}}</td>
          <td class="text-xs-left">{{ props.item.points }}</td>
          <td class="text-xs-left">{{ props.item.rank }}</td>
          <td class="text-xs-left">
            <span v-for="season in props.item.season" :key="season.id">{{season.years}}</span>
          </td>
        </template>
      </v-data-table>
    </div>
  </section>
</template>

<script>
import { FencersService } from '../services/FencersService';

export default {
  data() {
    return {
      fencer: [],
      headers: [
        {
          text: "Competitions",
          align: "left",
          sortable: false,
          value: "name"
        },
        { text: "Location", value: "location" },
        { text: "Start", value: "start" },
        { text: "End", value: "end" },
        { text: "Points", value: "points" },
        { text: "Rank", value: "rank" },
        { text: "Season" }
      ]
    };
  },
  mounted() {
    const service = new FencersService();
    service
      .getOne(this.$route.params.id)
      .then(data => (this.fencer = data))
      .catch(() => this.$router.push("/"));
  }
};
</script>

<style>
.imgFlagFencer {
  width: 80px;
  height: 20px;
}
.imgFencer {
  width: 200px;
  height: 200px;
  box-shadow: 0px 0px 10px black;
}
</style>
